pfsinimgmagick(1)

NAME
pfsinimgmagick - Load images or frames using ImageMagick++ library

SYNOPSIS
pfsinimgmagick (<file> [--linear] [--absolute <max_lum>] [--frames <range>] [--skip-missing]) [<file>...]

DESCRIPTION
This command can load images or frames in the multitude of image formats supported by the ImageMagick library. This includes but is not limited to: BMP, JPG, PNG, GIF, EPS, TIFF, DPX. See the manual page of ImageMagick for the full list of available formats.

pfsinimgmagick reads images or frames from files and writes pfs stream to the Standard Output. The pfs stream is usually piped to another program for further processing. To detect the format automatically based on the extension, use pfsin command.

The output of pfsinimgmagick is scaled to 0-1 range, unless '--absolute' option is specified. By default, the 'LUMINANCE' tag is set to 'DISPLAY' contents. Using the '--linear' switch you can force the inverse sRGB transformation to provide linear data. In this case the 'LUMINANCE' tag is set to 'RELATIVE' contents. '--absolute' switch can be used to convert pixels to absolute luminance values.

This command handles properly 'alpha' channel (transparency) stored in images.

Each file can contain a %d pattern, which is substituted with frame numbers. The pattern has the same syntax as C printf command. For example, you can use %04d to make the frame number four digit with proceedings zeros. You can select the frames using the following options (the options must be always given after the file name):

--frames <range>
    Range is given in mathlab / octave format:

    startframe:step:endframe

    Frame numbers start with startframe (default 0), are increased by step (default 1) and stop at endframe You can skip one of those values, for example 1:100 for frames 1,2,...,100 and 0:2: for frame 0,2,4,... up to the last file that exists.

--skip-missing
    Skip up to ten frames in a row if corresponding files are missing. Otherwise the program stops reading sequence at the first file that does not exists. This switch does not apply to the first frame in a sequence. This switch can be useful if there is a rendered animation where some of the frame has not been generated.

--linear, -l
    Converts pixel values to linear luminance (XYZ), assuming the sRGB color space for the input image. The maximum pixel value (255,255,255) is mapped to Y=1. LUMINANCE tag is set to RELATIVE.

--absolute <max_lum>, -a <max_lum>
    --absolute converts pixel values to an absolute linear luminance (XYZ), that is the color space, in which channel Y contains luminance given in cd/m^2. The sRGB color space is assumed for the input image. The maximum pixel value (255,255,255) is mapped to Y=<max_lum>. <max_lum> is typically set to 80 [cd/m^2] for a CRT monitor. LUMINANCE tag is set to ABSOLUTE. --absolute process images almost the same as --relative, but additionally it scales all pixels by <max_lum>.

EXAMPLES

pfsinimgmagick frame%04d.dpx --frames 0:10 | pfsview

    Read frames from files frame0000.dpx, frame0001.dpx, ..., frame0010.dpx and show them using pfsview.

BUGS
pfsinimgmagick can not read frames from the Standard Input.

Please report bugs and comments on implementation to the discussion group http://groups.google.com/group/pfstools

SEE ALSO
pfsin(1), pfsout(1) ImageMagick(1)